Skip to main content
GET

Return the identifier of the participant. All horizontally scaled replicas should return the same id. daml-on-kv-ledger: returns an identifier supplied on command line at launch time canton: returns globally unique identifier of the participant

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Responses

200

application/json
string
required
Identifier of the participant, which SHOULD be globally unique. Must be a valid LedgerString (as describe in value.proto). Required

400

Invalid value
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The GET /v2/parties/participant-id operation was updated in this snapshot.

Added3.4